#!/usr/bin/perl

use 5.6.0;
use strict;
use warnings;

use CGI qw/-no_xhtml/;
use CGI::Carp qw/warningsToBrowser fatalsToBrowser/;

my $q = new CGI;

my $msgid = $q->path_info;
$msgid =~ s,^/,,;

use MLDBM qw/DB_File Storable/;
use Fcntl;

my $file = "/home/asuffield/mindx/index/msgid.db";
my %db;
tie %db, 'MLDBM', $file, O_RDONLY, 0600 or die "Failed to open $file: $!";

print $q->header(-type => 'text/plain');

foreach my $file (keys %{$db{$msgid}})
  {
    print "http://lists.debian.org/$file\n";
  }
